org.apache.poi.sl.draw.binding

## Enum STPathFillMode

- java.lang.Object
- - java.lang.Enum<STPathFillMode>
  - - org.apache.poi.sl.draw.binding.STPathFillMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<STPathFillMode>

      public enum STPathFillMode
      extends java.lang.Enum<STPathFillMode>

  Java class for ST_PathFillMode.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="ST_PathFillMode">
         <restriction base="{http://www.w3.org/2001/XMLSchema}token">
           <enumeration value="none"/>
           <enumeration value="norm"/>
           <enumeration value="lighten"/>
           <enumeration value="lightenLess"/>
           <enumeration value="darken"/>
           <enumeration value="darkenLess"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DARKEN` Darken Path Fill
    `DARKEN_LESS` Darken Path Fill Less
    `LIGHTEN` Lighten Path Fill
    `LIGHTEN_LESS` Lighten Path Fill Less
    `NONE` No Path Fill
    `NORM` Normal Path Fill

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static STPathFillMode` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static STPathFillMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static STPathFillMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final STPathFillMode NONE

      No Path Fill

    - #### NORM

          public static final STPathFillMode NORM

      Normal Path Fill

    - #### LIGHTEN

          public static final STPathFillMode LIGHTEN

      Lighten Path Fill

    - #### LIGHTEN_LESS

          public static final STPathFillMode LIGHTEN_LESS

      Lighten Path Fill Less

    - #### DARKEN

          public static final STPathFillMode DARKEN

      Darken Path Fill

    - #### DARKEN_LESS

          public static final STPathFillMode DARKEN_LESS

      Darken Path Fill Less

  - ### Method Detail

    - #### values

          public static STPathFillMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (STPathFillMode c : STPathFillMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static STPathFillMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static STPathFillMode fromValue(java.lang.String v)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.